/// <reference types="react" />
export declare const DatePicker: import("react").ForwardRefExoticComponent<import("./DayPicker").MondayFirst & import("./types").WithDoubleNavigationButtons & Partial<import("./types").MinMaxDate> & {
    mask?: string | undefined;
    onChange?: ((date?: Date | null | undefined) => void) | undefined;
    onBlur?: (() => void) | undefined;
    onOpen?: (() => void) | undefined;
    onClose?: ((event?: Event | import("react").SyntheticEvent<Element, Event> | undefined, reason?: import("..").CloseEventReason | undefined) => void) | undefined;
    inputProps?: Omit<import("..").TextFieldProps, "onChange" | "ref" | "value"> | undefined;
    inputRef?: import("react").RefObject<HTMLInputElement> | undefined;
    disabled?: boolean | undefined;
    value?: Date | null | undefined;
    className?: string | undefined;
    size?: "medium" | "small" | undefined;
    label?: import("react").ReactNode;
    required?: boolean | undefined;
    helperText?: import("react").ReactNode;
    hideHelperText?: boolean | undefined;
    startAdornment?: import("react").ReactNode;
} & Pick<import("..").TextFieldProps, "label" | "required" | "helperText"> & import("react").RefAttributes<HTMLDivElement>>;
